VOS_CHANGEADDR(1)

NAME
vos_changeaddr - Changes or removes a file server machine's entry in the VLDB

SYNOPSIS
vos changeaddr -oldaddr <original IP address>
    [-newaddr <new IP address>] [-remove] [-force]
    [-cell <cell name>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos changea -o <original IP address>
    [-ne <new IP address>] [-r] [-f]
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos changeaddr command removes a server entry from the Volume Location Database (VLDB) when the -remove flag is combined with the -oldaddr argument. There must be no VLDB entries that list the machine as a site for any version of a volume (if necessary, use the vos move or vos remove command to move or remove volumes). It is appropriate to remove a VLDB server entry when removing the corresponding file server machine from service.

To display all VLDB server entries, use the vos listaddrs command.

CAUTIONS
Combining the command's -oldaddr and -newaddr arguments is no longer the appropriate way to change the IP address registered for a file server machine. Furthermore, if a machine is multihomed and its server entry includes several addresses, then the address specified with the -newaddr argument replaces all of the addresses currently listed in the server entry that includes the address specified by the -oldaddr argument. This effectively makes the machine single-homed with respect to AFS operations, which is probably not the desired result.

The recommended method for changing the IP addresses in a server entry is instead to restart the "fs" process group (which includes the File Server) after using the utilities provided by the operating system to reconfigure the machine's network interfaces. For a description of how the File Server constructs and registers a list of its network interfaces in the VLDB, see sysid(5).

If, counter to recommended usage, the command is used to change the IP address in a server entry, it does not also change the names of machine entries in the Protection Database. Operations fail when they refer to a protection group that has an obsolete IP address in it. Use the pts rename command to change the names of machine entries that correspond to the addresses changed with this command. Changing the address of a database server machine also requires updating the client and server versions of the CellServDB file on every machine.

OPTIONS

-oldaddr <original IP address>
    Specifies the IP address currently registered for the file server machine in the VLDB server entry. If there are multiple addresses registered for a multihomed machine, use any of them to identify the server entry.

-newaddr <new IP address>
    Specifies the new IP address that replaces all currently registered addresses.

    Unless the -force option is given, vos changeaddr will refuse to change addresses when the address given in -oldaddr is registered with a multihomed server entry in the VLDB. See "CAUTIONS".

-remove
    Removes from the VLDB the server entry that includes the address specified by the -oldaddr argument.

-force
    Overrides the multihomed server entry check when the -oldaddr and -newaddr options are combined. The -force flag is provided for historical compatibility and is not recommended.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the VLDB server entry that includes the IP address 192.12.107.214.

   % vos changeaddr -oldaddr 192.12.107.214 -remove

PRIVILEGE REQUIRED
Issuer must be listed in the /etc/openafs/server/UserList file on the machine specified with the -oldaddr argument and on each database server machine.

SEE ALSO
CellServDB(5), UserList(5), sysid(5), fileserver(8), pts_rename(1), vos(1), vos_listaddrs(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.